Issue 106642

Summary: Style links are lost when I open my presentation in another client
Product: Impress Reporter: yelo3 <yelo_3>
Component: formattingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 3.1.1Keywords: needmoreinfo
Target Milestone: ---   
Hardware: Unknown   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Setup image
none
Second image of setup
none
Just before save
none
When reopened none

Description yelo3 2009-11-05 17:19:42 UTC
I have installed ooo in ubuntu and XP.
I have done a presentations with style inheritance (custom syles which inherit
from other custom styles).
I saved the presentation in ubuntu and when I open it in XP all the links are
lost, so I have to manually edit all my user defined styles and set the style
inheritance (only this option is lost, other style options are preserved)

This happens also when embedding an OLE draw object (file saved from ooo-draw)
in a presentation (I didn't try other combinations) from the same OS (only
tested in ubuntu).
Comment 1 wolframgarten 2009-11-06 10:01:02 UTC
Sorry, not reproducible here. Can you describe a simple test scenario that is
reproducible? Please give a detailed step by step description. Thanks.
Comment 2 clippka 2009-11-06 10:04:44 UTC
I have seen this kind of issue before (can't find the dupe right now). I suspect
it has something do to with special or non ansii characters in the style names.
A bugdoc with this error would help
Comment 3 yelo3 2009-11-06 10:20:55 UTC
These are the exacts steps to reproduce:
- install ubuntu 9.10
- click "applications" -> "office" -> "openoffice.org presentation"
- follow the guided procedure:
--- "from template"
--- "Glossy"
--- click "Create"

- click on "styles and formatting" button (the first in the second button row)
- go to the newly opened styles sidebar
- click "graphic styles" (the first button)

- right click on "default" and choose "new"
- name it "test"
- go to "area" tab and select "green 1"
- click "ok" to exit

- right click on "test1" and choose "new"
- name it "test2"
- make sure that it is "linked with" "test1"
- go to "font" and select "size" 60

- now creare a rectangle shape
- double click on it to eneter some text: "text"
- apply "test2" style to the shape

- save and close

- click "applications" -> "office" -> "openoffice.org word processor"
- click "insert -> object -> OLE object"
- select "create from file"
- choose the just saved presentation and click ok

The result is that the rectangle is not "green 1"
try to open the OLE object by double clicking on it and you will see that
"test2" style is "linked with "-none-"

*always* reproducible
Comment 4 yelo3 2009-11-06 10:24:03 UTC
as you can see there's no special character in the style name ("test1" and "test2")
Comment 5 clippka 2009-11-06 10:37:47 UTC
Ubuntu currently does not come with an official OpenOffice.org build. Can you
reproduce it with an OpenOffice.org downloaded from its website?
Comment 6 yelo3 2009-11-06 13:02:49 UTC
I also tried from windows, the same problem persists.
Comment 7 jcoutu 2009-11-22 07:38:26 UTC
I have successfully replicated this bug. Additionally I have found simpler steps
to replicating the bug that do not use OLE objects or templates.

System info:
  OS: both windows xp pro, and windows vista (32 bit)
  OO Version: OOO320m2 build:9432

Replication Steps:

   1. Create a new blank presentation 
   2. set the layout to title and bullet list (as seen in step2.jpg)
   3. Set the slide title to "Testing", and the first bullet point to "Really
testing"
   4. Go to "Styles and Formatting"(F11) and select the "graphics sytles" button
   5. right click on the "Default" style and select New
   6. Set the name to "test1"
   7. Select the "area" tab, and set the "color" to "green 1", then press ok
   8. click on the bullet list on the slide
   9. select "test1" from the graphics styles
  10. click the paint can at the top of the styles toolbox and left click on the
bullet list. (as Seen in green1.jpg)
  11. back in the styles toolbox, right click on the "test1" style, and select New
  12. set the name to test2, and go the the font tab and set the size to 72,
then press ok
  13. click on the slide title
  14. select the test2 style of from the style toolbox
  15. click the paint can at the top of the styles toolbox and left click on
slide title. (as seen in green2.jpg)
  16. Save the Document and exit Open office.
  17. open the document (as seen in broken.jpg)
  18. Note that the the title is now blue.
  19. Open the styles toolbox again, right click on test2. Note that the link to
is set to "- None -"


Notes:

    * I've replicated this with and without templates as reported in the
original replication steps.



Further Tests:

    * if you reset the link to and save the document, it stays fixed for me


Questions for the reporter:

    * Does fixing the link to and saving the file again fix the problem for
you?' Your replication steps involved templates and OLE objects, these may
complicate the workaround I propose.

Comment 8 jcoutu 2009-11-22 07:40:18 UTC
Created attachment 66256 [details]
Setup image
Comment 9 jcoutu 2009-11-22 07:41:06 UTC
Created attachment 66257 [details]
Second image of setup
Comment 10 jcoutu 2009-11-22 07:41:44 UTC
Created attachment 66258 [details]
Just before save
Comment 11 jcoutu 2009-11-22 07:42:15 UTC
Created attachment 66259 [details]
When reopened
Comment 12 yelo3 2009-11-22 13:31:32 UTC
Yes, that is enough.
Comment 13 wolframgarten 2009-11-23 08:03:43 UTC
Reproducible. Reassigned.
Comment 14 calestyo 2010-08-16 10:28:20 UTC
This is _similar_ to issue #113805.
Comment 15 wolframgarten 2010-08-17 11:42:38 UTC
*** Issue 113805 has been marked as a duplicate of this issue. ***
Comment 16 Marcus 2017-05-20 11:11:06 UTC
Reset assigne to the default "issues@openoffice.apache.org".